Package org.silverpeas.components.delegatednews

# Class DelegatedPublicationEventListener

java.lang.Object
org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.contribution.publication.notification.PublicationEvent>
org.silverpeas.components.delegatednews.DelegatedPublicationEventListener

All Implemented Interfaces:
  `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.contribution.publication.notification.PublicationEvent>`

@Bean public class DelegatedPublicationEventListener extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.contribution.publication.notification.PublicationEvent>

Author:
  mmoquillon

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegatedPublicationEventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDeletion(org.silverpeas.core.contribution.publication.notification.PublicationEvent event)`
  `void`
  `onUpdate(org.silverpeas.core.contribution.publication.notification.PublicationEvent event)`

  ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `onEvent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

  `dispatchEvent, isEnabled, onCreation, onMove, onRecovery, onRemoving, onUnlock`

- ## Constructor Details

  - ### DelegatedPublicationEventListener

    public DelegatedPublicationEventListener()

- ## Method Details

  - ### onUpdate

    public void onUpdate(org.silverpeas.core.contribution.publication.notification.PublicationEvent event)

  - ### onDeletion

    public void onDeletion(org.silverpeas.core.contribution.publication.notification.PublicationEvent event)